<?php

namespace App\Mail\BBS;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

use App\Models\Service;

class SendToken extends Mailable
{
	use Queueable, SerializesModels;

	public $token = '';

	/**
	 * Create a new message instance.
	 *
	 * @return void
	 */
	public function __construct(string $token)
	{
		$this->token = $token;
	}

	/**
	 * Build the message.
	 *
	 * @return self
	 */
	public function build()
	{
		return $this
			->markdown('email.bbs.sendtoken')
			->subject('Token to complete registration')
			->with(['token'=>$this->token]);
	}
}